xpra icon
Bug tracker and wiki

Opened 3 years ago

Closed 3 years ago

#1398 closed defect (fixed)

Installation of xpra fails in ubuntu-16.04 due to missing dependencies

Reported by: Alfred Owned by: Alfred
Priority: trivial Milestone: 2.0
Component: packaging Version: 1.0.x
Keywords: Cc:

Description

xpra-1.0-r14532-1 depends upon libvpx1, but ubuntu-16.04 only contains libvpx3.
xpra also depends upon libx264-142, but ubuntu-16.04 only contains libx264-148.

The workaround is to obtain the dependencies from ubuntu-14.04.

Change History (2)

comment:1 Changed 3 years ago by Antoine Martin

Owner: changed from Antoine Martin to Alfred

Are you sure that your repository setup is correct?
Please post the contents of your /etc/apt/sources.list.d/* files.
And the full filename of the package you are trying to install.

The package in the repository does not have the dependencies you list. And it installs fine in my 16.04 VM.

You can see the package dependencies with:

dpkg -I ~/Downloads/xpra-1.0*deb
new debian package, version 2.0.
 size 2556682 bytes: control archive=12650 bytes.
     552 bytes,    18 lines      conffiles            
    1627 bytes,    21 lines      control              
   34166 bytes,   379 lines      md5sums              
     478 bytes,    19 lines   *  postinst             #!/bin/sh
     920 bytes,    33 lines   *  postrm               #!/bin/sh
     587 bytes,    24 lines   *  prerm                #!/bin/sh
 Package: xpra
 Version: 1.0-r14532-1
 Architecture: amd64
 Maintainer: Antoine Martin <antoine@devloop.org.uk>
 Installed-Size: 11516
 Depends: init-system-helpers (>= 1.18~), python (>= 2.7), python (<< 2.8), ffmpeg-xpra, libc6 (>= 2.14), libgtk2.0-0 (>= 2.24.0), libvpx3 (>= 1.5.0), libx11-6, libx264-148, libxcomposite1 (>= 1:0.3-1), libxdamage1 (>= 1:1.1), libxext6, libxfixes3, libxkbfile1, libxrandr2 (>= 4.3), libxtst6, python-gtk2, x11-xserver-utils, xvfb, python-gtkglext1, python-opengl, python-numpy, python-imaging, python-xxhash, python-rencode, python-lz4, python-appindicator
 Recommends: libxvidcore4, libwebp5, python-cryptography, gstreamer1.0-plugins-base, gstreamer1.0-plugins-good, gstreamer1.0-plugins-ugly, python-gst-1.0, cups-filters, cups-common, cups-pdf, python-cups, python-pyinotify, python-opencv, v4l2loopback-dkms, openssh-client, ssh-askpass, python-lzo, websockify, keyboard-configuration, sshpass
 Suggests: openssh-server, python-pyopencl, pulseaudio, pulseaudio-utils, python-dbus, python-avahi, python-netifaces, python-yaml, python-pycuda, libnvidia-encode1
 Section: x11
 Priority: optional
 Homepage: http://xpra.org/
 Description: tool to detach/reattach running X programs
  Xpra gives you the functionality of GNU Screen for X applications.
  .
  It allows the user to view remote X applications on their local machine, and
  disconnect and reconnect from the remote machine without losing the state of
  the running applications.
  .
  Unlike VNC, these applications are "rootless".  They appear as individual
  windows inside your window manager rather than being contained within a single
  window.

comment:2 Changed 3 years ago by Alfred

Resolution: fixed
Status: newclosed

Ahhhhh, I did indeed have an error in the repository source. Although the main ubuntu repository was set to 16.04, the winswitch repository was set to 14.04.

My apologies for the invalid bug report.

Note: See TracTickets for help on using tickets.